/* User exit to fix dot-stuffing bug (receive) in Post Road Mailer.
   Simply install as a user send exit (in Settings notebook, under the
   User Exits tab).

   Bob Eager (rde@tavi.co.uk).  September 1999.
*/

call RxFuncAdd "SysLoadFuncs", "RexxUtil", "SysLoadFuncs"
signal on syntax name NoREXX
call SysLoadFuncs
signal off syntax

/* Get the name of the file containing the message */

arg filename

/* Generate name of temporary file */

parse var filename tempfile '.000'
tempfile = tempfile || '.TMP'

/* Process the file, copying to a temporary file */

do while lines(filename)
   line = linein(filename)
   if left(line, 1) = '.' then do
      line = substr(line, 2)
   end
   call lineout tempfile, line
end
call stream tempfile, 'c', 'close'
call stream filename, 'c', 'close'

'mv' tempfile filename

NoREXX:
exit
